<?php

use App\Http\Controllers\api\v1\Admin\BankController;
use Illuminate\Support\Facades\Route;

Route::middleware(['admin'])->group(
    function () {
        Route::controller(BankController::class)->group(function () {
            Route::get('/', 'index');
            Route::get('{bank_id}', 'show');
            Route::post('/', 'store');
            Route::put('{bank_id}', 'update');
            Route::delete('{bank_id}', 'destroy');
            Route::patch('{bank_id}/toggle-status', 'toggleStatus');
        });
    }
);
